extractAndReduce<-function(vari="evi",TLUT,year,doyuse) {

  resolution <- 1
  reduction  <- 2
  intervals  <- doyuse-year*1000

  # loop through TLUT
  for (i in 1:(length(TLUT)/6)) {

   if ((length(TLUT)/6)==1) {
    if (TLUT[1]<10) H <- paste("0",TLUT[1],sep="") else H <- TLUT[1]
    if (TLUT[2]<10) V <- paste("0",TLUT[2],sep="") else V <- TLUT[2]
   } else {
    if (TLUT[i,1]<10) H <- paste("0",TLUT[i,1],sep="") else H <- TLUT[i,1]
    if (TLUT[i,2]<10) V <- paste("0",TLUT[i,2],sep="") else V <- TLUT[i,2]
   }

   for (j in 1:length(intervals)) {
    day <- intervals[j]
    if (day<10) DAY <- paste("00",day,sep="") else if (day<100) DAY <- paste("0",day,sep="") else DAY <- day    
    File <- list.files(paste(modisrep,year,sep="/"),paste("MOD09A1.A",year,DAY,".h",H,"v",V,".",modis_ver,sep=""))
    File <- paste(modisrep,year,File,sep="/")
    if (!file.exists(File)) next
    if (!file.exists(paste(mpath,"/",vari,"_",resolution,"km_",basename(File),sep="")) ) {
     print(paste(vari,"_",resolution,"km_",basename(File)," is not there. Creating...",sep=""))
     ## now do it:
     if(year>=2000&year<=2002){
#        system(paste(scriptpath,"/",toupper(vari),"2000.sh ",basename(File)," ",reduction," ",ldope,"/bin/ ",dirname(File),"/ ",mpath,"/",sep=""))
        system(paste(scriptpath,"/",toupper(vari),".sh ",basename(File)," ",reduction," ",ldope,"/bin/ ",dirname(File),"/ ",mpath,"/",sep=""))
     } else {
        system(paste(scriptpath,"/",toupper(vari),".sh ",basename(File)," ",reduction," ",ldope,"/bin/ ",dirname(File),"/ ",mpath,"/",sep=""))
     }
    } else {
     print(paste(mpath,"/",vari,"_",resolution,"km_",basename(File)," already there. Skipping.",sep=""))
    }
   }
  }  
}

